<h1>Product Types</h1>
<div class="row mb-3">
  <div class="col">
    <a nbButton [routerLink]="['/product-types/new']" status="primary">NEW</a>
  </div>
</div>

<table mat-table [dataSource]="dataSource" matSort matSortActive="name" matSortDirection="asc">
  <tr mat-header-row *matHeaderRowDef="columnsToDisplay" class="first-header-row"></tr>
  <tr mat-header-row *matHeaderRowDef="filterRow" class="second-header-row"></tr>
  <tr mat-row *matRowDef="let row; columns: columnsToDisplay"></tr>

  <ng-container matColumnDef="id-filter">
    <th mat-header-cell *matHeaderCellDef style="width: 320px"></th>
  </ng-container>

  <ng-container matColumnDef="order-filter">
    <th mat-header-cell *matHeaderCellDef style="width: 80px"></th>
  </ng-container>

  <ng-container matColumnDef="name-filter">
    <th mat-header-cell *matHeaderCellDef style="width: 350px">
      <mat-form-field class="filter" floatLabel="never">
        <mat-label>Search</mat-label>
        <input matInput [formControl]="nameFilterValue">
      </mat-form-field>
    </th>
  </ng-container>

  <ng-container matColumnDef="locked-filter">
    <th mat-header-cell *matHeaderCellDef style="width: 50px"></th>
  </ng-container>

  <ng-container matColumnDef="actions-filter">
    <th mat-header-cell *matHeaderCellDef style="width: 320px"></th>
  </ng-container>

  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef mat-sort-header>ID</th>
    <td mat-cell *matCellDef="let row">{{row.id || '-'}}</td>
  </ng-container>

  <ng-container matColumnDef="order">
    <th mat-header-cell *matHeaderCellDef mat-sort-header>Order</th>
    <td mat-cell *matCellDef="let row">{{row.order}}</td>
  </ng-container>

  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
    <td mat-cell *matCellDef="let row">{{row.name || '-'}}</td>
  </ng-container>

  <ng-container matColumnDef="locked">
    <th mat-header-cell *matHeaderCellDef mat-sort-header>Locked</th>
    <td mat-cell *matCellDef="let row">
      <nb-checkbox [checked]="row.locked" [status]="row.locked ? 'danger':'success'" disabled></nb-checkbox>
    </td>
  </ng-container>

  <ng-container matColumnDef="actions">
    <th mat-header-cell *matHeaderCellDef>Actions</th>
    <td mat-cell *matCellDef="let row">
      <a nbButton ghost size="large" [routerLink]="['/product-types', row.id]" title="Edit">
        <nb-icon icon="edit"></nb-icon>
      </a>
    </td>
    <td mat-footer-cell *matFooterCellDef="let row"></td>
  </ng-container>

</table>
<mat-paginator [length]="dataSource.totalCount" [pageSize]="dataSource.pageSize"
               [pageSizeOptions]="[5, 10, 20, 50]" showFirstLastButtons></mat-paginator>
